<?php

/**
 * This is example of simple endpoint implementation.
 * It actually uses the simplest way to handle publication.
 * Note that it may not work on your end if you just copy this code.
 * This is only to show basic functionality on how to handle site builder
 * requests on publication.
 * 
 * For more information on endpoint implementation please visit this link:
 * https://site.pro/docs/api/#builder/requestLogin
 */

include __DIR__.'/UrlExtract.php';

function respondWithJson($data) {
	header('Content-Type: application/json; charset=utf-8', true);
	echo json_encode($data);
	exit();
}

$method = isset($_SERVER['REQUEST_METHOD']) ? $_SERVER['REQUEST_METHOD'] : 'GET';

if ($method == 'POST') {
	$accId = isset($_POST['account_id']) ? $_POST['account_id'] : null;
	$zip = isset($_POST['zip']) ? $_POST['zip'] : null;
	$error = null;
	$id = md5($id.time());
	
	// get a proper directory by $accId identifier parameter.
	$directory = __DIR__.'/example_site';
	if (!is_dir($directory)) mkdir($directory, 0755);
	
	$urlExtract = new UrlExtract();
	try {
		$urlExtract->extractFromUrl($zip, $directory);
	} catch (ErrorException $ex) {
		$error = $ex->getMessage();
	}
	respondWithJson(array('result' => array('id' => $id, 'error' => $error)));
}
else if ($method == 'GET') {
	$uri = $_SERVER['REQUEST_URI'];
	$parts = explode('/', $uri);
	$id = $parts[count($parts) - 1];
	
	$status = 'FINISHED';
	$error = null;
	
	respondWithJson(array('result' => array('status' => $status, 'output' => $error)));
}

exit();
